This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 861568 - [abrt] cherrytree-0.26.2-2.fc18: ctdb.py:306:write_db_node:OperationalError: disk I/O error
[abrt] cherrytree-0.26.2-2.fc18: ctdb.py:306:write_db_node:OperationalError: ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
18
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:290c5eac792cb3bd187e208db4b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 04:24 EDT by David M.
Modified: 2013-01-11 20:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:11:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (36 bytes, text/plain)
2012-09-29 04:24 EDT, David M.
no flags Details
File: core_backtrace (509 bytes, text/plain)
2012-09-29 04:24 EDT, David M.
no flags Details

  None (edit)
Description David M. 2012-09-29 04:24:46 EDT
Description of problem:
Opened a Read-only document, edited it, then tried to save the modified version.  Program did not appear to crash

Version-Release number of selected component:
cherrytree-0.26.2-2.fc18

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /usr/bin/cherrytree
kernel:         3.6.0-0.rc7.git1.4.fc18.i686

backtrace:
:ctdb.py:306:write_db_node:OperationalError: disk I/O error
:
:Traceback (most recent call last):
:  File "/usr/share/cherrytree/modules/core.py", line 1046, in file_save
:    elif self.file_write(os.path.join(self.file_dir, self.file_name), first_write=False):
:  File "/usr/share/cherrytree/modules/core.py", line 1131, in file_write
:    self.file_write_low_level(filepath, xml_string, first_write)
:  File "/usr/share/cherrytree/modules/core.py", line 1085, in file_write_low_level
:    else: self.ctdb_handler.pending_data_write(self.db)
:  File "/usr/share/cherrytree/modules/ctdb.py", line 64, in pending_data_write
:    self.write_db_node(db, tree_iter, level, node_sequence, node_father_id, write_dict)
:  File "/usr/share/cherrytree/modules/ctdb.py", line 306, in write_db_node
:    db.execute('DELETE FROM children WHERE node_id=?', (node_id,))
:OperationalError: disk I/O error
:
:Local variables in innermost frame:
:node_father_id: 8
:name: u'Matlab'
:tags: u''
:self: <ctdb.CTDBHandler instance at 0x894860c>
:sequence: 3
:db: <sqlite3.Connection object at 0x8b6c708>
:syntax: 'custom-colors'
:node_id: 11
:tree_iter: <GtkTreeIter at 0x8eb3250>
:exporting: ''
:write_dict: {'upd': True, 'buff': False, 'hier': True, 'child': False, 'prop': False}
:level: 2
:is_richtxt: 1
:is_ro: 0
Comment 1 David M. 2012-09-29 04:24:50 EDT
Created attachment 618912 [details]
File: event_log
Comment 2 David M. 2012-09-29 04:24:53 EDT
Created attachment 618913 [details]
File: core_backtrace
Comment 3 Giuseppe Penone 2012-10-03 10:54:43 EDT
How would you expect cherrytree to behave in case you have no write access?
Comment 4 David M. 2012-10-05 16:00:43 EDT
I have a tendency to always submit a bug when the ABRT tool shows up.

I understand that this problem could have very minimal impact on the user.  I would downgrade the severity to low if I could.
Comment 5 Giuseppe Penone 2012-10-25 17:34:21 EDT
In the upcoming version 0.28.1 there is a check before the attempt to write to disk, if there is no write access a dialog will be prompted.
Comment 6 Fedora Update System 2012-12-18 22:03:06 EST
cherrytree-0.28.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cherrytree-0.28.5-1.fc18
Comment 7 Fedora Update System 2012-12-19 17:39:07 EST
Package cherrytree-0.28.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.28.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20672/cherrytree-0.28.5-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-01-11 20:11:45 EST
cherrytree-0.28.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.